export const workHourColumn = [
  { label: '名称', prop: 'title', type: 'string' },
  { label: '休息日期', prop: 'holidayDateRange', type: 'string' },
  { label: '上班日期', prop: 'dayOff', type: 'string' },
  { label: '年份', prop: 'workYear', type: 'string' },
  { label: '创建时间', prop: 'createDate', type: 'dateTime' }
  // { label: '状态', prop: 'flag', type: 'map', map: { 0: '下架', 1: '上架' }}
]

export const workHourFormColumn = [
  { label: '名称', prop: 'title', type: 'string' },
  { label: '日期', prop: 'holidayDate',dateVal: 'dateVal', type: 'date', width: '115px'},
  { label: '上午开始时间', prop: 'morningStartTime', type: 'time', width: '130px',key: 'morningStartTime' },
  { label: '上午结束时间', prop: 'morningEndTime', type: 'time', width: '130px',key: 'morningEndTime' },
  { label: '下午开始时间', prop: 'afternoonStartTime', type: 'time', width: '130px',key: 'afternoonStartTime' },
  { label: '下午结束时间', prop: 'afternoonEndTime', type: 'time', width: '130px',key: 'afternoonEndTime' },
  { label: '备注', prop: 'remarks', type: 'string' },
  { label: '工作状态', prop: 'workType', type: 'switch', width: '135px' },
  { label: '状态', prop: 'flag', type: 'select', options:[ { value: '1', label: '上架' } ,{ value: '0', label: '下架'}], width: '90px' }
]

