import request from '@/utils/request'
export const dataStatistics = {
  interface: {
    queryStatistics: '/suit/suitvisitrecord/getStatisticCount',
    queryEnter: '/suit/suitvisitrecord/getCountByDate',
    userInfoStatistic: '/suit/suituser/userInfoStatistic',
    userInfoTimeStatistic: '/suit/suituser/registerInfoStatistic'
  },
  /** 查询访客数据统计数据
   * */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get',
      params
    })
  },
  /** 查询入离院数据
   * */
  queryEnter(params) {
    return request({
      url: this.interface.queryEnter,
      method: 'get',
      params
    })
  },
  /** 用户信息统计*/
  userInfoStatistic(params) {
    return request({
      url: this.interface.userInfoStatistic,
      method: 'get',
      params
    })
  },
  /** 用户信息统计(注册时间)*/
  userInfoTimeStatistic(params) {
    return request({
      url: this.interface.userInfoTimeStatistic,
      method: 'get',
      params
    })
  }
}
export const selfHelp = {
  interface: {
    queryStatistics: '/suit/suitdeviceused/getDeviceUseStatistic'
  },
  /** 查询访客数据统计数据
   * */
  queryStatistics(params) {
    return request({
      url: this.interface.queryStatistics,
      method: 'get',
      params
    })
  }
}
