export const api = {
  query(params) {
    return new Promise(resolve => resolve({
      rows: [
        { journalName: '日志一', createBy: 'admin', createDate: '2021-12-24', oprater: '登录', status: '0', errorMessage: '接口响应超时' },
        { journalName: '日志二', createBy: 'admin', createDate: '2021-10-24', oprater: '退出', status: '1' },
        { journalName: '日志三', createBy: 'admin', createDate: '2020-11-28', oprater: '修改合同：甲公司合作合同', status: '1' },
        { journalName: '日志四', createBy: 'admin', createDate: '2023-11-28', oprater: '新建合同：乙公司合作合同', status: '0', errorMessage: '接口错误' }
      ],
      total: 4
    }))
  },
  setStatus(row, status) {
    return new Promise(resolve => {
      row.status = status
      resolve()
    })
  }
}
export const statusEnum = {
  '0': '失败',
  '1': '成功'
}
