export const api = {
  query(params) {
    return new Promise(resolve => resolve({
      rows: [
        { CONNAMECN: '合同一', createBy: 'admin', SIGNDATE: '2021-12-24', contractStartDate: '2022-03-01', PROJNAME: '项目1', PROJNUMBER: '111', contractEndDate: '0', CONSTATUS: '0', synchronization: '1', 'leastSyncDate': '2021-12-22', FROMID: '1111' },
        { CONNAMECN: '合同二', createBy: 'admin', SIGNDATE: '2021-10-24', contractStartDate: '2021-10-24', PROJNAME: '项目2', PROJNUMBER: '111', contractEndDate: '2024-10-24', synchronization: '1', 'leastSyncDate': '2021-12-22', CONSTATUS: '1', FROMID: '2222' },
        { CONNAMECN: '合同三', createBy: 'admin', SIGNDATE: '2020-11-28', contractStartDate: '2020-11-28', PROJNAME: '项目3', PROJNUMBER: '111', contractEndDate: '2022-12-28', synchronization: '1', 'leastSyncDate': '2021-12-22', CONSTATUS: '2', FROMID: '3333' },
        { CONNAMECN: '合同三', createBy: 'admin', SIGNDATE: '2023-11-28', contractStartDate: '2019-11-28', PROJNAME: '项目4', PROJNUMBER: '111', contractEndDate: '2021-11-28', synchronization: '1', 'leastSyncDate': '2021-12-22', CONSTATUS: '3', FROMID: '4444' }
      ],
      total: 4
    }))
  },
  setStatus(row, status) {
    return new Promise(resolve => {
      row.status = status
      resolve()
    })
  }
}
export const statusEnum = {
  '0': '未开始',
  '1': '启用',
  '2': '停用',
  '3': '已过期'
}
